"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JiraApi = void 0;
class JiraApi {
    constructor(context, codefreshAPI) {
        this.context = context;
        this.issues = {
            getIssue: this.getIssue.bind(this),
        };
        this.codefreshAPI = codefreshAPI;
    }
    async getIssue({ issueIdOrKey }) {
        return this.codefreshAPI.getJiraIssue(this.context, issueIdOrKey);
    }
}
exports.JiraApi = JiraApi;
//# sourceMappingURL=jira.api.js.map